package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 无人机信息对象 drone
 * 
 * @author 周志雄
 * @date 2024-07-15
 */
public class Drone extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增的无人机ID */
    private Long id;

    /** 网关序列号 */
    @Excel(name = "网关序列号")
    private String gateway;

    /** 无人机序列号 */
    @Excel(name = "无人机序列号")
    private String sn;

    /** 是否在线 */
    @Excel(name = "是否在线")
    private String isOnline;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setGateway(String gateway) 
    {
        this.gateway = gateway;
    }

    public String getGateway() 
    {
        return gateway;
    }
    public void setSn(String sn) 
    {
        this.sn = sn;
    }

    public String getSn() 
    {
        return sn;
    }
    public void setIsOnline(String isOnline) 
    {
        this.isOnline = isOnline;
    }

    public String getIsOnline() 
    {
        return isOnline;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("gateway", getGateway())
            .append("sn", getSn())
            .append("isOnline", getIsOnline())
            .toString();
    }
}
